/*
 *  $Header$
 *
 *  AU: Makros zur Unterstuetzung von Debug-Ausgaben
 *      with friendly permission by U. Graef
 *
 *  ST: hier werden nur die externen Variablen und Funktionen
 *      zur Verf"ugung gestellt
 *
 *  PO: HPUX, Linux, AIX
 *
 *  HI: $Log$
 *
 */

#include <stdio.h>

int     Debug_Output_Indent = 0;

void    debug_printmem_asc( char* desc, char* str, char* lenname, int len )
	{
	int i;

	fprintf( stderr, "%*s%s = 0x%lx -> '",
                         Debug_Output_Indent, "",
                         desc, (long) str );

	for (  i = 0;  i < len;  i++  )
        {
            if ( 32 <= (unsigned char) str[i] &&
                 (unsigned char) str[i] <= 127 )
		fprintf( stderr, "%c", str[i] );
            else
                fprintf( stderr, "." );
        }

	fprintf( stderr, "' ( %s = %d )\n", lenname, len );
	}


